aagc.vo

## Class DocumentoUploadFlussoInformativo

- java.lang.Object
- - aagc.vo.DocumentoUploadFlussoInformativo

-     public class DocumentoUploadFlussoInformativo
      extends java.lang.Object

  Classe Java per documentoUploadFlussoInformativo complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="documentoUploadFlussoInformativo">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codEstensione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="8"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="fileDocZip" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="nome">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="250"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codEstensione`
    `protected byte[]` | `fileDocZip`
    `protected java.lang.String` | `nome`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentoUploadFlussoInformativo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodEstensione()` Recupera il valore della proprietà codEstensione.
    `byte[]` | `getFileDocZip()` Recupera il valore della proprietà fileDocZip.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `void` | `setCodEstensione(java.lang.String value)` Imposta il valore della proprietà codEstensione.
    `void` | `setFileDocZip(byte[] value)` Imposta il valore della proprietà fileDocZip.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codEstensione

          protected java.lang.String codEstensione

    - #### fileDocZip

          protected byte[] fileDocZip

    - #### nome

          protected java.lang.String nome

  - ### Constructor Detail

    - #### DocumentoUploadFlussoInformativo

          public DocumentoUploadFlussoInformativo()

  - ### Method Detail

    - #### getCodEstensione

          public java.lang.String getCodEstensione()

      Recupera il valore della proprietà codEstensione.
      Returns:
        possible object is `String`

    - #### setCodEstensione

          public void setCodEstensione(java.lang.String value)

      Imposta il valore della proprietà codEstensione.
      Parameters:
        `value` - allowed object is `String`

    - #### getFileDocZip

          public byte[] getFileDocZip()

      Recupera il valore della proprietà fileDocZip.
      Returns:
        possible object is byte[]

    - #### setFileDocZip

          public void setFileDocZip(byte[] value)

      Imposta il valore della proprietà fileDocZip.
      Parameters:
        `value` - allowed object is byte[]

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`